corda / net.corda.node.services.messaging / ArtemisMessagingComponent / NodeAddress

# NodeAddress

`data class NodeAddress : ArtemisPeerAddress`

This is the class used to implement SingleMessageRecipient, for now. Note that in future this class may change or evolve and code that relies upon it being a simple host/port may not function correctly. For instance it may contain onion routing data.

NodeAddress identifies a specific peer node and an associated queue. The queue may be the peer's own queue or an advertised service's queue.

### Parameters

`queueName` - The name of the queue this address is associated with.

`hostAndPort` - The address of the node.

### Constructors

<init> | `NodeAddress(queueName: String, hostAndPort: HostAndPort)` This is the class used to implement SingleMessageRecipient, for now. Note that in future this class may change or evolve and code that relies upon it being a simple host/port may not function correctly. For instance it may contain onion routing data.

### Properties

hostAndPort | `val hostAndPort: HostAndPort`
queueName | `val queueName: String`

### Companion Object Functions

asPeer | `fun asPeer(peerIdentity: CompositeKey, hostAndPort: HostAndPort): NodeAddress`
asService | `fun asService(serviceIdentity: CompositeKey, hostAndPort: HostAndPort): NodeAddress`